Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Mon, 07 Mar 2011 09:42:41 +0100

On 2011-03-07 07:36, Tejun Heo wrote:
> Hello, Stephen, Jens.
> 
> On Mon, Mar 07, 2011 at 01:19:58PM +1100, Stephen Rothwell wrote:
>> Today's linux-next merge of the block tree got a conflict in
>> block/blk-flush.c between commit 255bb490c8c27eed484d538efe6ef6a7473bd3f6
>> ("block: blk-flush shouldn't call directly into q->request_fn()
>> __blk_run_queue()") from the  tree and commit
>> ae1b1539622fb46e51b4d13b3f9e5f4c713f86ae ("block: reimplement FLUSH/FUA
>> to support merge") from the block tree.
>>
>> The latter rewrote a large part of the file, so I just used that.  If
>> this is not correct, please fix it up in the block tree.
> 
> I sent Jens a merge commit which should fix this yesterday.
> 
>  http://thread.gmane.org/gmane.linux.kernel/1101766/focus=1108915
> 
> So, the merge problem should go away soonish.

Merged now, so this conflict should be gone from linux-next as of now.

-- 
Jens Axboe